From: Ratchanan Srirattanamet <ratchanan@ubports.com>
Date: Thu, 4 Apr 2024 02:30:32 +0700
Subject: tests: workaround -Wimplicit-function-declaration in system/audio.h

system/audio.h uses strdup(), but it's exposed only with _POSIX_C_SOURCE
at least 200809L. So define that.
---
 hybris/tests/test_audio.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/hybris/tests/test_audio.c b/hybris/tests/test_audio.c
index a16f469..5a279b9 100644
--- a/hybris/tests/test_audio.c
+++ b/hybris/tests/test_audio.c
@@ -15,6 +15,9 @@
  *
  */
 
+/* Allows system/audio.h to see strdup() */
+#define _POSIX_C_SOURCE 200809L
+
 #include <android-config.h>
 #include <memory.h>
 #include <assert.h>
